#Modul SimplySql importieren
Import-Module SimplySql

#Abrufen der Daten vom Shelly
$response = Invoke-WebRequest -URI http://192.168.178.35/rpc/Switch.GetStatus?id=0 -UseBasicParsing

#Wenn die länge des Textes gleich 0 ist dann soll das Skript verlassen werden!
if ($response.Length -eq 0) {
    "Es wurde keine Antwort empfangen!"
    exit
}

#Umwandeln der Antwort in ein JSON-Format
$data = $response | ConvertFrom-Json

#Auslesen der Werte
$apower = $data.apower
$voltage = $data.voltage
$freq = $data.freq
$current = $data.current
$minute_ts = $data.aenergy.minute_ts

#Aufbauen einer Verbindung zur Datenbank
Open-MySqlConnection -server '127.0.0.1' -connectionname 'localhost' -database 'shelly_db'  -Username benutzer1 -Password passwort1 
$testconnection = Test-SqlConnection -ConnectionName 'localhost'
#Wenn die Verbindung erfolgreich aufgebaut wurde,...
if ($testconnection) {
    #SQL Statement
    $InsertQuery = "INSERT INTO shelly_db.messdaten  (ID, apower, voltage, freq, current, minute_ts) VALUES (NULL, '$apower', '$voltage', '$freq', '$current', '$minute_ts');"
    #Ausführen des Statements
    Invoke-SqlUpdate -connectionname 'localhost' -Query $InsertQuery
    #Schließen der Datenbankverbindung
    Close-SqlConnection -connectionname 'localhost'
}
